ffhevc(1)

NAME
ffhevc

SYNOPSIS
ffhevc [-m <mode>] [-p <preset>] [-t <tune>] [-b|-v|-e|-r|-h] [-c <preset/config file>]

DESCRIPTION
ffhevc is a small yet quite capable shell script for encoding to the H.265/HEVC video format. It uses the FFmpeg encoder and the libx265 library. ffhevc supports a wide range of options for video encoding coupled with support for encoding multiple audio tracks and copying multiple subtitles. ffhevc only supports as input video files so it is not possible to encode directly from a DVD/BD drive or an ISO image.

The script uses a configuration file stored in $HOME/.ffhevc where the user can set things up. ffhevc is interactive in nature but the user can pass through it in under a few minutes.

REQUIREMENTS
- FFmpeg with libx265 support
- FFprobe (part of FFmpeg)
- MPlayer (for crop preview only)
- MP4Box from GPAC (for mp4/mov cover art only)
- bc

PARAMETERS

-m <mode>
    Specify a pass mode. If this option is not used, the script defaults to crf mode. Valid pass modes are:
    1p (1-pass mode)
    2p (2-pass mode)
    3p (3-pass mode)
    crf (constant rate factor mode)

-b  Activate batch encoding mode. This mode is used to encode directories with video files in them.

-c /path/to/file/preset.txt
    Load a custom preset file. The package includes an example preset file. This option can also be used to load a custom configuration file instead of a preset.

-p <preset>
    Use a built-in x265 preset. You can choose from the following:
    ultrafast
    superfast
    veryfast
    faster
    fast
    medium
    slow
    slower
    veryslow
    placebo
    script (built-in script preset optimized for quality)

-t <tune>
    Use a built-in x265 tune profile. You can choose from the following:
    psnr
    ssim
    grain
    fastdecode
    zerolatency
    animation

-e  Edit the configuration file.

-r  Reset the configuration file to its defaults.

-v  Display version and exit.

-h  Display internal help menu and exit.

SEE ALSO
ffmpeg (1)

AUTHORS
ffhevc was written by Grozdan Nikolov <microchip8@proton.me>

BUG REPORTS
Please send all bug reports and/or questions/suggestions/donations to <microchip8@proton.me>

WWW
https://ffhevc.teambelgium.net